"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configOption = void 0;
exports.getCliConfigPath = getCliConfigPath;
var _commander = require("commander");
/**
 * Config option moved to separate file as it used in test run.
 */

const configOption = exports.configOption = new _commander.Option(`-c, --config <file>`, `Path to Playwright configuration file (default: playwright.config.(js|ts))`);
/**
 * Helper used in test run to detect config location.
 */
function getCliConfigPath() {
  return new _commander.Command().allowUnknownOption().addOption(configOption).parse().getOptionValue('config');
}