"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildStepDefinition = buildStepDefinition;
var _messages = require("@cucumber/messages");
var _cucumberExpressions = require("@cucumber/cucumber-expressions");
var _step_definition = _interopRequireDefault(require("@cucumber/cucumber/lib/models/step_definition"));
/**
 * Extracted from cucumber SupportCodeLibraryBuilder.
 * See: https://github.com/cucumber/cucumber-js/blob/main/src/support_code_library_builder/index.ts
 */

const newId = _messages.IdGenerator.uuid();
function buildStepDefinition({
  keyword,
  pattern,
  code,
  line,
  options,
  uri
}, supportCodeLibrary) {
  // todo: handle error.undefinedParameterTypeName as it's done in cucumber?
  const expression = typeof pattern === 'string' ? new _cucumberExpressions.CucumberExpression(pattern, supportCodeLibrary.parameterTypeRegistry) : new _cucumberExpressions.RegularExpression(pattern, supportCodeLibrary.parameterTypeRegistry);
  // skip wrapping code as it is not needed for decorator steps
  // const wrappedCode = this.wrapCode({
  //   code,
  //   wrapperOptions: options.wrapperOptions,
  // })
  return new _step_definition.default({
    code,
    expression,
    id: newId(),
    line,
    options,
    keyword,
    pattern,
    unwrappedCode: code,
    uri
  });
}