"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseStepArgument = parseStepArgument;
var _util = _interopRequireDefault(require("util"));
var _valueChecker = require("./valueChecker");
/**
 * Based on: https://github.com/cucumber/cucumber-js/blob/main/src/step_arguments.ts
 */

function parseStepArgument(arg, mapping) {
  if ((0, _valueChecker.doesHaveValue)(arg.dataTable)) {
    return mapping.dataTable(arg.dataTable);
  } else if ((0, _valueChecker.doesHaveValue)(arg.docString)) {
    return mapping.docString(arg.docString);
  }
  throw new Error(`Unknown step argument: ${_util.default.inspect(arg)}`);
}