"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.requireOrImportDefaultFunction = requireOrImportDefaultFunction;
var _path = _interopRequireDefault(require("path"));
var _transform = require("./transform");
/**
 * Partial from: https://github.com/microsoft/playwright/blob/main/packages/playwright/src/runner/loadUtils.ts
 */
/* eslint-disable complexity */

async function requireOrImportDefaultFunction(file, expectConstructor) {
  let func = await (0, _transform.requireTransform)().requireOrImport(file);
  if (func && typeof func === 'object' && 'default' in func) {
    func = func['default'];
  }
  if (typeof func !== 'function') {
    throw errorWithFile(file, `file must export a single ${expectConstructor ? 'class' : 'function'}.`);
  }
  return func;
}
function relativeFilePath(file) {
  if (!_path.default.isAbsolute(file)) {
    return file;
  }
  return _path.default.relative(process.cwd(), file);
}
function errorWithFile(file, message) {
  return new Error(`${relativeFilePath(file)}: ${message}`);
}