"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _promises = require("node:stream/promises");
var _htmlFormatter = _interopRequireDefault(require("@cucumber/html-formatter"));
var _utils = require("../../utils");
var _path = _interopRequireDefault(require("path"));
var _base = _interopRequireDefault(require("./base"));
/**
 * Cucumber html reporter.
 * Based on: https://github.com/cucumber/cucumber-js/blob/main/src/formatter/html_formatter.ts
 * See: https://github.com/cucumber/html-formatter
 * See: https://github.com/cucumber/react-components
 */

class HtmlReporter extends _base.default {
  userOptions;
  htmlStream;
  constructor(internalOptions, userOptions = {}) {
    super(internalOptions);
    this.userOptions = userOptions;
    this.setOutputStream(this.userOptions.outputFile);
    const packageRoot = (0, _utils.resolvePackageRoot)('@cucumber/html-formatter');
    this.htmlStream = new _htmlFormatter.default(_path.default.join(packageRoot, 'dist/main.css'), _path.default.join(packageRoot, 'dist/main.js'));
    this.eventBroadcaster.on('envelope', envelope => {
      this.htmlStream.write(envelope);
    });
    this.htmlStream.pipe(this.outputStream);
  }
  async finished() {
    this.htmlStream.end();
    await (0, _promises.finished)(this.htmlStream);
    await super.finished();
  }
}
exports.default = HtmlReporter;