"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Meta = void 0;
var _os = _interopRequireDefault(require("os"));
var messages = _interopRequireWildcard(require("@cucumber/messages"));
var _utils = require("../../../utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Builds meta message.
 * See: https://github.com/cucumber/cucumber-js/blob/main/src/cli/helpers.ts#L100
 */

class Meta {
  buildMessage() {
    const playwrightBddVersion = (0, _utils.getPackageVersion)('playwright-bdd');
    const playwrightVersion = (0, _utils.getPackageVersion)('@playwright/test');
    const meta = {
      protocolVersion: messages.version,
      implementation: {
        version: `${playwrightBddVersion} (playwright ${playwrightVersion})`,
        name: 'playwright-bdd'
      },
      cpu: {
        name: _os.default.arch()
      },
      os: {
        name: _os.default.platform(),
        version: _os.default.release()
      },
      runtime: {
        name: 'node.js',
        version: process.versions.node
      }
    };
    return {
      meta
    };
  }
}
exports.Meta = Meta;