"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Pickles = void 0;
var _utils = require("../../../utils");
var _Projects = require("./Projects");
class Pickles {
  buildMessages(testCases) {
    const messages = [];
    testCases.forEach(testCase => {
      messages.push(this.buildPickleMessage(testCase));
    });
    return messages;
  }
  buildPickleMessage(testCase) {
    const pickle = {
      ...(0, _utils.omit)(testCase.pickle, 'location'),
      uri: (0, _Projects.getFeatureUriWithProject)(testCase.projectInfo, testCase.pickle.uri)
    };
    return {
      pickle
    };
  }
}
exports.Pickles = Pickles;