"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMessagesBuilderRef = getMessagesBuilderRef;
var _Builder = require("./Builder");
/**
 * Returns reference to a messagesBuilder singleton.
 * We pass onTestEnd and onEnd calls only for the first reference (reporter),
 * otherwise all events will be duplicated.
 */

let instance;
let referenceCount = 0;
function getMessagesBuilderRef() {
  if (!instance) {
    instance = new _Builder.MessagesBuilder();
  }
  const isFirstRef = ++referenceCount === 1;
  return {
    builder: instance,
    onTestEnd(test, result) {
      isFirstRef && this.builder.onTestEnd(test, result);
    },
    onEnd(fullResult) {
      isFirstRef && this.builder.onEnd(fullResult);
    }
  };
}