"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.calcMinMaxByArray = calcMinMaxByArray;
exports.toCucumberTimestamp = toCucumberTimestamp;
var _messages = require("@cucumber/messages");
/**
 * Timing utils.
 */

function toCucumberTimestamp(time) {
  return _messages.TimeConversion.millisecondsSinceEpochToTimestamp(time);
}
function calcMinMaxByArray(items) {
  let startTime = items.length > 0 ? items[0].startTime : new Date();
  let endTime = items.length > 0 ? getEndTime(items[0]) : new Date();
  items.forEach(item => {
    const resultEndTime = getEndTime(item);
    if (item.startTime < startTime) {
      startTime = item.startTime;
    }
    if (resultEndTime > endTime) {
      endTime = resultEndTime;
    }
  });
  return {
    startTime,
    duration: endTime.getTime() - startTime.getTime()
  };
}
function getEndTime(entity) {
  return new Date(entity.startTime.getTime() + entity.duration);
}