"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AutofillMap = void 0;
/**
 * Extended Map that automatically creates item if it does not exist.
 */
class AutofillMap extends Map {
  getOrCreate(key, createFn) {
    let item = this.get(key);
    if (!item) {
      item = createFn(key);
      this.set(key, item);
    }
    return item;
  }
}
exports.AutofillMap = AutofillMap;