"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _page = _interopRequireDefault(require("./page"));
var _context = _interopRequireDefault(require("./context"));
var _cacheLayer = _interopRequireDefault(require("./cacheLayer"));
var _addTags = _interopRequireDefault(require("./addTags"));
var _i18N = _interopRequireDefault(require("./i18N"));
var _unauthenticatedPage = _interopRequireDefault(require("./unauthenticatedPage"));
var _executionContext = _interopRequireDefault(require("./executionContext"));
function extractTagsFromTitle(text) {
  return text.match(/@\w+/g) || [];
}
function getBuiltInFixtures(bddMode) {
  let builtInFixtures = {
    ..._page.default,
    ..._context.default,
    ..._cacheLayer.default,
    ..._i18N.default,
    ..._unauthenticatedPage.default,
    ..._executionContext.default
  };
  if (bddMode) {
    builtInFixtures = {
      ...builtInFixtures,
      ..._addTags.default
    };
  } else {
    builtInFixtures = {
      ...builtInFixtures,
      $tags: async ({}, use, testInfo) => {
        // Extract only the elements after the "@" symbol as tags
        const tags = testInfo.title ? extractTagsFromTitle(testInfo.title) : [];
        await use(tags);
      }
    };
  }
  return builtInFixtures;
}
var _default = exports.default = getBuiltInFixtures;