# Testing Framework

## Framework that abstracts the configuration for playwright and Jest
# 0.2.4
- Issue fixes on custom fixtures
  - Page Fixture
  - i18n Fixture
  
# 0.2.1
**Issue Fixes**
- Fixes issue in actors configuration
- Added Error Logger

# 0.2.0
**Major Breaking Change**
- Removed Env-config.json in favour of conf/*/settings.json
- Mode in uat.config.js is deprecated. Use command args instead

**Enhancements**
- Playwright version updated to 1.42.1
- Playwright-bdd version updated to 6.1.1
- Tags Support
- Added getMetaInfo fixture to get the actors Info data

**Issue Fixes**
- Fixes #10- Mode config not working properly

# 0.1.9
**Enhancements**
- Added option to specify browsers in command line.
  - npm run uat -- --browsers='chrome,firefox'
- Playwright version updated to 1.41.1
- Added option to Skip Browser download
- Added New Command re-run-failed to run only the failed cases
**Major Change**
- Default fixtures moved inside the library.(Page, Context, i18N, unauthenticatedPage)
**Internal Library Change**
Examples folder updated to latest testing library version.

# 0.1.8
**Issue Fixes**
- Fix #9 Custom report generate Error on Windows
- Add Tags annotations only on bddMode

**Enhancements**
- Added Failed steps in test summary

# 0.1.7
**Enhancements**
- Added option to run  teardown logic.
- Added support for tag based filtering.
- Playwright-bdd version updated to 5.6.0.
- New fixture added to add tag as annotations in test report

**Issue Fixes**
- Edition command option. Fixed the edition tags not generated properly

# 0.1.6

**Enhancements**
- New Command option Added `--edition`.
- New Configuration Added `editionOrder`.
  `In uat.config.js, editionOrder: ['Free', 'Express']`
- Cache Layer added

**USAGE**
 - npm run uat --edition="Free"



# 0.1.5

**Enhancements**

- Playwright version updated to `1.40.1`
- And and But Support added
- Added Code Suggestions support
- Custom Reporter added. Now the report will be available in json format.
- New Commands added.

  `- help: npx ZDTestingFramework help`

  - Will list down the commands available in the tool

  `- clearCaches: npx ZDTestingFramework clearCaches`

  - Will clear the exisiting cookies in the authentication setup

**Issue Fixes**

- Fixed Issue that occurs while quitting node process.

# 0.1.4

- `testIdAttribute` config added
- Fixed issue while reading boolean configuration values

# 0.1.3

- uat config sample file updated with `bddMode` and `viewport` values
- user configuration issue fix when the value is undefined

# 0.1.2

- Bdd version updated to `5.4.0`
- Playwright version updated to `1.39.0`

# 0.1.1

- Fixed post install script error
- Fixed error `@cucumber/gherkin` not found. Cause of this issue is updating @cucumber/cucumber to 9.5.0. Reverting this version to 9.2.0
- Removed testing library exports

# 0.1.0

- Removed eslint as dev dependencies as it causes `npm aliases not supported error` for npm version < 6

# 0.0.9

- Video sized in report adjusted to viewport size
- Changes in package.json scripts while setting up project

# 0.0.8

- Tags Support
- Enable running without bddmode feature
- viewport configuration
- Internal Change - Code refactoring

# 0.0.7

- Removed react and react-dom as dependencies. Added this as peer dependency

# 0.0.6

## Provided Initial Support for cucumber feature files

    - Playwright-bdd and cucumber added as dependencies
    - Added config bddMode which toggles the feature files processing
    - Added expect timeout and test timeout as an option
    - Decorators support for given, when and then. Typescript support needed to use this feature

## Internal Library change

    - Provided support for import/export statements

# 0.0.5

- Added Init command to initialize the folder structure and configuration for testing
- Renamed config.json to env-config.json
- Configured report file path directory and Handled Edge case in Cookies Handling

# 0.0.4

- Issue Fixes while loading the storage state

# 0.0.3

- Added Support for custom config generator based on user preferences

# 0.0.2

- Fix for Finding directories inside node_modules folder

# 0.0.1

- test and report command support
